Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote
Interface RemoteService

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  BaseRemoteService, HessianService, HttpRemoteService

    public interface RemoteService

extends java.rmi.Remote

Interface of a Cayenne remote service.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  `HessianServlet`

Method Summary
`RemoteSession` | `establishSession()` Establishes a dedicated session with Cayenne DataChannel, returning session id.
`RemoteSession` | `establishSharedSession(java.lang.String name)` Creates a new session with the specified or joins an existing one.
`java.lang.Object` | `processMessage(ClientMessage message)` Processes message on a remote server, returning the result of such processing.

Method Detail

### establishSession

    RemoteSession establishSession()
                                   throws java.rmi.RemoteException

  Establishes a dedicated session with Cayenne DataChannel, returning session id.

  Throws:
    `java.rmi.RemoteException`

### establishSharedSession

    RemoteSession establishSharedSession(java.lang.String name)
                                         throws java.rmi.RemoteException

  Creates a new session with the specified or joins an existing one. This method is used to bootstrap collaborating clients of a single "group chat".

  Throws:
    `java.rmi.RemoteException`

### processMessage

    java.lang.Object processMessage(ClientMessage message)
                                    throws java.rmi.RemoteException,
                                           java.lang.Throwable

  Processes message on a remote server, returning the result of such processing.

  Throws:
    `java.rmi.RemoteException`
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.